org.codehaus.groovy.runtime

## Class ClassExtender

- java.lang.Object
- - org.codehaus.groovy.runtime.ClassExtender

- Deprecated.

      @Deprecated
      public class ClassExtender
      extends java.lang.Object

  A helper class used by the runtime to allow Groovy classes to be extended at runtime

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassExtender()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMethod(java.lang.String name, Closure closure)` Deprecated.
    `void` | `call(java.lang.String name, java.lang.Object params)` Deprecated.
    `protected java.util.Map` | `createMap()` Deprecated.
    `java.lang.Object` | `get(java.lang.String name)` Deprecated.
    `void` | `remove(java.lang.String name)` Deprecated.
    `void` | `removeMethod(java.lang.String name)` Deprecated.
    `void` | `set(java.lang.String name, java.lang.Object value)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassExtender

          public ClassExtender()

      Deprecated.

  - ### Method Detail

    - #### get

          public java.lang.Object get(java.lang.String name)

      Deprecated.

    - #### set

          public void set(java.lang.String name,
                          java.lang.Object value)

      Deprecated.

    - #### remove

          public void remove(java.lang.String name)

      Deprecated.

    - #### call

          public void call(java.lang.String name,
                           java.lang.Object params)

      Deprecated.

    - #### addMethod

          public void addMethod(java.lang.String name,
                                Closure closure)

      Deprecated.

    - #### removeMethod

          public void removeMethod(java.lang.String name)

      Deprecated.

    - #### createMap

          protected java.util.Map createMap()

      Deprecated.